26 lines
804 B
Diff
26 lines
804 B
Diff
|
From 7d47178e0ddccbecfbf144348da24c1a3be32da2 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Wed, 2 Sep 2015 09:47:35 +0200
|
||
|
Subject: [PATCH] livenet/livenetroot.sh: fixed error condition
|
||
|
|
||
|
copy&paste error
|
||
|
|
||
|
(cherry picked from commit b813b1b3064d4951c5403bb0f96480de9a355d8e)
|
||
|
---
|
||
|
modules.d/90livenet/livenetroot.sh | 2 +-
|
||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/90livenet/livenetroot.sh b/modules.d/90livenet/livenetroot.sh
|
||
|
index 2e36ee9..b7592bc 100755
|
||
|
--- a/modules.d/90livenet/livenetroot.sh
|
||
|
+++ b/modules.d/90livenet/livenetroot.sh
|
||
|
@@ -15,7 +15,7 @@ liveurl="${netroot#livenet:}"
|
||
|
info "fetching $liveurl"
|
||
|
imgfile=$(fetch_url "$liveurl")
|
||
|
|
||
|
-if [ $? = 0 ]; then
|
||
|
+if [ $? != 0 ]; then
|
||
|
warn "failed to download live image: error $?"
|
||
|
exit 1
|
||
|
fi
|